Modify

Opened 9 years ago

Closed 9 years ago

#7549 closed defect (fixed)

Plugin crashes, when importing TCX files

Reported by: anonymous Owned by: OliverW
Priority: normal Milestone:
Component: Plugin elevationprofile Version:
Keywords: tcx import Cc:

Description

When im importing TCX files from Garmin Edge, plugin crash

d:\openstreetmap>"C:\Program Files\Java\jre7\bin\java" -server -jar -Dsun.java2d.d3d=false josm-tested.jar
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-03-07 02:32:17
Last Changed Author: stoecker
Revision: 5047
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-06 10:30:34 +0100 (Tue, 06 Mar 2012)
Last Changed Rev: 5047

NeplatnÚ URL '...' v pluginu continuosDownload
nahrßvßm plugin 'openstreetbugs' (verze 27852)
nahrßvßm plugin 'restart' (verze 27852)
nahrßvßm plugin 'dataimport' (verze 27289)
nahrßvßm plugin 'InfoMode' (verze 27981)
nahrßvßm plugin 'ElevationProfile' (verze 27285)
nahrßvßm plugin 'routing' (verze 27952)
Routing plugin warning: log4j configuration not found
2012-03-25 23:04:34 [com.innovant.josm.plugin.routing.RoutingPlugin] DEBUG - Loading routing plugin...
2012-03-25 23:04:34 [com.innovant.josm.plugin.routing.gui.RoutingPreferenceDialog] DEBUG - Default preferences already exist.
2012-03-25 23:04:34 [com.innovant.josm.plugin.routing.RoutingPlugin] DEBUG - Finished loading plugin
nahrßvßm plugin 'licensechange' (verze 27964)
nahrßvßm plugin 'Tracer' (verze 27852)
nahrßvßm plugin 'measurement' (verze 27957)
nahrßvßm plugin 'FixAddresses' (verze 27907)
nahrßvßm plugin 'gpxfilter' (verze 27865)
nahrßvßm plugin 'mirrored_download' (verze 28108)
nahrßvßm plugin 'czechaddress' (verze 27878)
nahrßvßm plugin 'SimplifyArea' (verze 27905)
nahrßvßm plugin 'OpeningHoursEditor' (verze 27852)
nahrßvßm plugin 'utilsplugin2' (verze 28045)
nahrßvßm plugin 'namemanager' (verze 27906)
nahrßvßm plugin 'junctionchecking' (verze 27981)
RemoteControl::Accepting connections on port 8111
Open file: F:\Garmin\History\2012-02-17-09-10-23.tcx (441413 bytes)
Open file: F:\Garmin\History\2012-03-16-15-13-57.tcx (875935 bytes)
Cannot paint: mv=org.openstreetmap.josm.gui.MapView[,1,1,1504x1092,alignmentX=0.0,alignmentY=0.0,border=,flags=2,maximumSize=,minimumSize=java.aw
t.Dimension[width=10,height=0],preferredSize=], prof=ElevationProfileBase [start=Sun Mar 25 23:04:53 CEST 2012, end=Sun Mar 25 23:04:53 CEST 2012
, minHeight=0, maxHeight=0], wpt=null
java.lang.RuntimeException: WPT must not be null, profile ElevationProfileBase [start=Sun Mar 25 23:04:53 CEST 2012, end=Sun Mar 25 23:04:53 CEST
 2012, minHeight=0, maxHeight=0]
        at org.openstreetmap.josm.plugins.elevation.gui.DefaultElevationProfileRenderer.renderWayPoint(DefaultElevationProfileRenderer.java:139)
        at org.openstreetmap.josm.plugins.elevation.gui.ElevationProfileLayer.paint(ElevationProfileLayer.java:204)
        at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:455)
        at org.openstreetmap.josm.gui.MapView.paint(MapView.java:534)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JSplitPane.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintToOffscreen(Unknown Source)
        at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
        at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
        at javax.swing.RepaintManager.paint(Unknown Source)
        at javax.swing.JComponent._paintImmediately(Unknown Source)
        at javax.swing.JComponent.paintImmediately(Unknown Source)
        at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.access$700(Unknown Source)
        at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
        at java.awt.event.InvocationEvent.dispatch(Unknown Source)
        at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
        at java.awt.EventQueue.access$000(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
        at java.awt.EventQueue.dispatchEvent(Unknown Source)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.WaitDispatchSupport$2.run(Unknown Source)
        at java.awt.WaitDispatchSupport$4.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.WaitDispatchSupport.enter(Unknown Source)
        at java.awt.Dialog.show(Unknown Source)
        at java.awt.Component.show(Unknown Source)
        at java.awt.Component.setVisible(Unknown Source)
        at java.awt.Window.setVisible(Unknown Source)
        at java.awt.Dialog.setVisible(Unknown Source)
        at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
        at java.awt.event.InvocationEvent.dispatch(Unknown Source)
        at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
        at java.awt.EventQueue.access$000(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
        at java.awt.EventQueue.dispatchEvent(Unknown Source)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
        at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
        at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
        at java.awt.EventDispatchThread.run(Unknown Source)
Cannot paint: mv=org.openstreetmap.josm.gui.MapView[,1,1,1504x1092,alignmentX=0.0,alignmentY=0.0,border=,flags=2,maximumSize=,minimumSize=java.aw
t.Dimension[width=10,height=0],preferredSize=], prof=ElevationProfileBase [start=Sun Mar 25 23:04:53 CEST 2012, end=Sun Mar 25 23:04:53 CEST 2012
, minHeight=0, maxHeight=0], wpt=null
java.lang.RuntimeException: WPT must not be null, profile ElevationProfileBase [start=Sun Mar 25 23:04:53 CEST 2012, end=Sun Mar 25 23:04:53 CEST
 2012, minHeight=0, maxHeight=0]
        at org.openstreetmap.josm.plugins.elevation.gui.DefaultElevationProfileRenderer.renderWayPoint(DefaultElevationProfileRenderer.java:139)
        at org.openstreetmap.josm.plugins.elevation.gui.ElevationProfileLayer.paint(ElevationProfileLayer.java:204)
        at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:455)
        at org.openstreetmap.josm.gui.MapView.paint(MapView.java:534)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JSplitPane.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JLayeredPane.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paintToOffscreen(Unknown Source)
        at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
        at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
        at javax.swing.RepaintManager.paint(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at java.awt.GraphicsCallback$PaintCallback.run(Unknown Source)
        at sun.awt.SunGraphicsCallback.runOneComponent(Unknown Source)
        at sun.awt.SunGraphicsCallback.runComponents(Unknown Source)
        at java.awt.Container.paint(Unknown Source)
        at java.awt.Window.paint(Unknown Source)
        at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.access$700(Unknown Source)
        at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
        at java.awt.event.InvocationEvent.dispatch(Unknown Source)
        at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
        at java.awt.EventQueue.access$000(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
        at java.awt.EventQueue.dispatchEvent(Unknown Source)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.WaitDispatchSupport$2.run(Unknown Source)
        at java.awt.WaitDispatchSupport$4.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.WaitDispatchSupport.enter(Unknown Source)
        at java.awt.Dialog.show(Unknown Source)
        at java.awt.Component.show(Unknown Source)
        at java.awt.Component.setVisible(Unknown Source)
        at java.awt.Window.setVisible(Unknown Source)
        at java.awt.Dialog.setVisible(Unknown Source)
        at org.openstreetmap.josm.gui.HelpAwareOptionPane.showOptionDialog(HelpAwareOptionPane.java:236)
        at org.openstreetmap.josm.plugins.PluginHandler.confirmDeactivatingPluginAfterException(PluginHandler.java:926)
        at org.openstreetmap.josm.plugins.PluginHandler.disablePluginAfterException(PluginHandler.java:991)
        at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:76)
        at java.awt.event.InvocationEvent.dispatch(Unknown Source)
        at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
        at java.awt.EventQueue.access$000(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)Open file: F:\Garmin\History\2012-03-17-13-15-59.tcx (2686544 bytes)

        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
        at java.awt.EventQueue.dispatchEvent(Unknown Source)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.WaitDispatchSupport$2.run(Unknown Source)
        at java.awt.WaitDispatchSupport$4.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.WaitDispatchSupport.enter(Unknown Source)
        at java.awt.Dialog.show(Unknown Source)
        at java.awt.Component.show(Unknown Source)
        at java.awt.Component.setVisible(Unknown Source)
        at java.awt.Window.setVisible(Unknown Source)
        at java.awt.Dialog.setVisible(Unknown Source)
        at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
        at java.awt.event.InvocationEvent.dispatch(Unknown Source)
        at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
        at java.awt.EventQueue.access$000(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
        at java.awt.EventQueue.dispatchEvent(Unknown Source)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
        at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
        at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
        at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (1)

2012-02-17-09-10-23.zip (26.3 KB) - added by anonymous 9 years ago.

Download all attachments as: .zip

Change History (5)

comment:1 Changed 9 years ago by stoecker

Owner: changed from OliverW to anonymous
Status: newneedinfo

Please attach the file you try to import.

Changed 9 years ago by anonymous

Attachment: 2012-02-17-09-10-23.zip added

comment:2 Changed 9 years ago by anonymous

Its seems to be tcx file from stationary biking where GPS was off. Because no points there. But should be handled too :)

comment:3 Changed 9 years ago by skyper

Owner: changed from anonymous to OliverW
Status: needinfonew

comment:4 Changed 9 years ago by OliverW

Resolution: fixed
Status: newclosed

Fixed in version 28150, please update.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain OliverW.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.